Draft Join/ru: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(5 intermediate revisions by one other user not shown)
Line 1: Line 1:
<languages/>
<languages/>


<div class="mw-translate-fuzzy">
{{Docnav/ru
{{Docnav/ru
|[[Draft_SubelementHighlight/ru|SubelementHighlight]]
|[[Draft_Trimex/ru|Trim/Extend (Trimex)]]
|[[Draft Split/ru|Split]]
|[[Draft_Split/ru|Разделить]]
|[[Draft_Workbench/ru|Draft]]
|[[Draft_Workbench/ru|Верстак Draft]]
|IconL=Draft_Trimex.svg
|IconL=Draft_SubelementHighlight.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Split.svg
|IconR=Draft_Split.svg
|IconC=Workbench_Draft.svg
}}
}}
</div>


<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name=Draft Join
|Name/ru=Соединить
|Name/ru=Draft Join
|Name=Draft_Join
|MenuLocation=DraftJoin
|MenuLocation=Многоугольник, ПолигонСоединить
|Workbenches=[[Draft_Workbench/ru|Draft]], [[Arch_Workbench/ru|Arch]]
|Workbenches=[[Draft_Workbench/ru|Draft]], [[Arch_Workbench/ru|Arch]]
|Shortcut={{KEY|J}} {{KEY|O}}
|Shortcut={{KEY|J}} {{KEY|O}}
|Version=0.18
|Version=0.18
|SeeAlso=[[Draft Split/ru|Draft Split]]
|SeeAlso=[[Draft_Split/ru|Разделить]]
}}
}}
</div>


<span id="Description"></span>
==Описание==
==Описание==


The [[Image:Draft_Join.svg|24px]] '''Draft Join''' command joins [[Draft_Line|Draft Lines]] and [[Draft_Wire|Draft Wires]] into a single wire. This command is the counterpart of the [[Draft_Split|Draft Split]] command.
The [[Image:Draft_Join.svg|24px]] '''Draft Join''' command joins [[Draft_Line|Draft Lines]] and [[Draft_Wire|Draft Wires]] into a single wire. This command is the counterpart of the [[Draft_Split|Draft Split]] command.


<span id="Usage"></span>
==Применение==
==Применение==


Line 33: Line 31:
# Select two or more [[Draft_Line|Draft Lines]] and/or [[Draft_Wire|Draft Wires]].
# Select two or more [[Draft_Line|Draft Lines]] and/or [[Draft_Wire|Draft Wires]].
# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Draft_Join.svg|16px]] [[Draft_Join|Draft Join]]}} button.
#* Press the {{Button|[[Image:Draft_Join.svg|16px]] [[Draft_Join|Join]]}} button.
#* Select the {{MenuCommand|Modification → [[Image:Draft_Join.svg|16px]] Join}} option from the menu.
#* Select the {{MenuCommand|Modification → [[Image:Draft_Join.svg|16px]] Join}} option from the menu.
#* Use the keyboard shortcut: {{KEY|J}} then {{KEY|O}}.
#* Use the keyboard shortcut: {{KEY|J}} then {{KEY|O}}.


== Notes ==
<span id="Notes"></span>
==Примечания==


* [[Draft_Line|Draft Lines]] and [[Draft_Wire|Draft Wires]] can also be joined with the [[Draft_Wire|Draft Wire]] command or the [[Draft_Upgrade|Draft Upgrade]] command.
* [[Draft_Line|Draft Lines]] and [[Draft_Wire|Draft Wires]] can also be joined with the [[Draft_Wire|Draft Wire]] command or the [[Draft_Upgrade|Draft Upgrade]] command.
* To join objects that are not [[Draft_Line|Draft Lines]] or [[Draft_Wire|Draft Wires]] you can try using [[Draft_Upgrade|Draft Upgrade]] and/or [[Draft_Downgrade|Draft Downgrade]] on them one or more times first.
* To join objects that are not [[Draft_Line|Draft Lines]] or [[Draft_Wire|Draft Wires]] you can try using [[Draft_Upgrade|Draft Upgrade]] and/or [[Draft_Downgrade|Draft Downgrade]] on them one or more times first.


==Scripting==
<span id="Scripting"></span>
==Программирование==


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
Line 54: Line 54:
* {{incode|wires}} is a list of wire objects to be joined.
* {{incode|wires}} is a list of wire objects to be joined.


Пример:
Example:


{{Code|code=
{{Code|code=
Line 77: Line 77:




<div class="mw-translate-fuzzy">
{{Docnav/ru
{{Docnav/ru
|[[Draft_SubelementHighlight/ru|SubelementHighlight]]
|[[Draft_Trimex/ru|Trim/Extend (Trimex)]]
|[[Draft Split/ru|Split]]
|[[Draft_Split/ru|Разделить]]
|[[Draft_Workbench/ru|Draft]]
|[[Draft_Workbench/ru|Верстак Draft]]
|IconL=Draft_Trimex.svg
|IconL=Draft_SubelementHighlight.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Split.svg
|IconR=Draft_Split.svg
|IconC=Workbench_Draft.svg
}}
}}
</div>


{{Draft Tools navi{{#translation:}}}}
{{Draft Tools navi{{#translation:}}}}

Latest revision as of 19:53, 7 December 2023

Соединить

Системное название
Draft_Join
Расположение в меню
Многоугольник, Полигон → Соединить
Верстаки
Draft, Arch
Быстрые клавиши
J O
Представлено в версии
0.18
См. также
Разделить

Описание

The Draft Join command joins Draft Lines and Draft Wires into a single wire. This command is the counterpart of the Draft Split command.

Применение

  1. The end points of the Draft Lines and/or Draft Wires to be joined must be exactly coincident. If required first adjust points to ensure that this is the case.
  2. Select two or more Draft Lines and/or Draft Wires.
  3. There are several ways to invoke the command:
    • Press the Join button.
    • Select the Modification → Join option from the menu.
    • Use the keyboard shortcut: J then O.

Примечания

Программирование

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To join wires use the join_wires method (introduced in version 0.19) of the Draft module. This methods replaces the deprecated joinWires method. This method returns None.

join_wires(wires)
  • wires is a list of wire objects to be joined.

Пример:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(500, 0, 0)
p3 = App.Vector(500, 500, 0)
p4 = App.Vector(0, 500, 0)

wire1 = Draft.make_wire([p1, p2])
wire2 = Draft.make_wire([p2, p3])
wire3 = Draft.make_wire([p3, p4])
wire4 = Draft.make_wire([p4, p1])

Draft.join_wires([wire1, wire3, wire2, wire4])
doc.recompute()